Subject: RE: [midcom] Rule Extensibility

From: "Reinaldo Penno" <[email-masked]>
Date: Tue, 21 Aug 2001 15:06:58 -0700

> -----Original Message-----
> From: Abdallah Rayhan [mailto:[email-masked]]
> Sent: Tuesday, August 21, 2001 11:42 AM
> To: [email-masked]
> Subject: [midcom] Rule Extensibility
> 
> 
> The thing about extensibility is that it brings us back into
> integrating application intelligence into the middlebox
> which is something the WG is trying to avoid. I believe
> that the term and the application of extensibility is and
> going to be abused badly and will introduce vendor 
> incompatibility. 

Hello Abadallah,

I do not think vendor incompatibility is an issue due to extensibility.
Radius, for instance, started out with a some attributes that were later
greatly extended in the IETF,  by other vendors and I do not see any
incompatibility.

You just grab Lucent's, Nortel's or Cisco's dictionary, install them and
presto. This is a good example on how extensibility didn't mess with the
base protocol and allowed vendors to put attributes to suit their needs.

regards,

Reinaldo